Test::Unit::Runner::Terminal(3pm)

NAME
Test::Unit::Runner::Terminal - unit testing framework helper class

SYNOPSIS
    use Test::Unit::Runner::Terminal;

    my $testrunner = Test::Unit::Runner::Terminal->new();
    $testrunner->start($my_test_class);

DESCRIPTION
This class is a test runner for the command line style use of the testing framework.

It is similar to its parent class, Test::Unit::TestRunner, but it uses terminal escape sequences to continually update a more informative status report as the runner progresses through the tests than just a string of dots, E's and F's. The status report indicates the number of tests run, the number of failures and errors encountered, which test is currently being run, and where it lives in the suite hierarchy.

The class needs one argument, which is the name of the class encapsulating the tests to be run.

OPTIONS

-wait
    wait for user confirmation between tests

-v  version info

AUTHOR
Copyright (c) 2000-2002, 2005 the PerlUnit Development Team (see Test::Unit or the AUTHORS file included in this distribution).

All rights reserved. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO

•   Test::Unit::TestCase

•   Test::Unit::Listener

•   Test::Unit::TestSuite

•   Test::Unit::Result

•   Test::Unit::TkTestRunner

•   For further examples, take a look at the framework self test collection (t::tlib::AllTests).